[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Build failing on FreeBSD?

From: Branko ─îibej <brane_at_wandisco.com>
Date: Sun, 12 Aug 2012 08:31:20 +0200

Has anyone else noticed that the trunk (and possibly 1.7, haven't tried)
build fails on FreeBSD when using sqlite-amalgamation? It looks like the
reason lies in build/ac-macros.sqlite.m4, which unconditionally adds
-ldl to SVN_SQLITE_LIBS -- and libdl doesn't exist on FreeBSD.

I happened to run into this when trying to build trunk on
people.apache.org, whose installed sqlite is too old for trunk's minimum
version requirements.

-- Brane

-- 
Certified & Supported Apache Subversion Downloads:
http://www.wandisco.com/subversion/download
Received on 2012-08-12 08:32:08 CEST

This is an archived mail posted to the Subversion Dev mailing list.